Page MenuHomePhabricator

Update CategoryTree to use the new HookContainer/HookRunner system
Open, MediumPublic

Event Timeline

Reedy renamed this task from Convert CategoryTree to use the new HookContainer/HookRunner system to Update CategoryTree to use the new HookContainer/HookRunner system.Jan 1 2021, 11:20 PM
Reedy created this task.

Change 695238 had a related patch set uploaded (by Lens0021; author: Lens0021):

[mediawiki/extensions/CategoryTree@master] Convert most core hook handling to use a HookHandler

https://gerrit.wikimedia.org/r/695238

Change 695238 abandoned by Lens0021:

[mediawiki/extensions/CategoryTree@master] Convert most core hook handling to use a HookHandler

Reason:

A duplicate of Ie52c393af378a980a2dac4ae7076fd6c016a8e0e

https://gerrit.wikimedia.org/r/695238

Change 693563 had a related patch set uploaded (by Daniel Kinzler; author: Daniel Kinzler):

[mediawiki/extensions/CategoryTree@master] Convert to new hook system (Workshop)

https://gerrit.wikimedia.org/r/693563

Change 693563 merged by jenkins-bot:

[mediawiki/extensions/CategoryTree@master] Convert to new hook system (Workshop)

https://gerrit.wikimedia.org/r/693563

Fatal error: Uncaught Error: Call to a member function getVal() on null in /srv/mediawiki-staging/php-master/extensions/CategoryTree/includes/Hooks.php:124

seen at https://integration.wikimedia.org/ci/job/beta-update-databases-eqiad/51021/

Looks like $wgRequest may not be setup correctly by the time MediaWikiServicesHook runs? But was possibly fine when the same function was used as the extensionfunctions subscriber.

Ping T281152 as a potential train blocker

Mentioned in SAL (#wikimedia-releng) [2021-06-11T02:03:44Z] <Reedy> beta-update-databases-eqiad seemingly broken by CategoryTree fix for T271011. Comment left on gerrit patch and task, not reverting patch in master at this stage

Change 699388 had a related patch set uploaded (by Daniel Kinzler; author: Daniel Kinzler):

[mediawiki/extensions/CategoryTree@master] Re-apply: Convert to new hook system (Workshop)

https://gerrit.wikimedia.org/r/699388

Change 699388 merged by jenkins-bot:

[mediawiki/extensions/CategoryTree@master] Re-apply: Convert to new hook system (Workshop)

https://gerrit.wikimedia.org/r/699388

Mentioned in SAL (#wikimedia-operations) [2021-06-22T17:42:59Z] <dduvall> testwikis to 1.37.0-wmf.11 (cc open blockers T285125 T285118 T271011)

dduvall triaged this task as Unbreak Now! priority.Tue, Jun 22, 6:01 PM
dduvall added a subscriber: dduvall.

Upping priority since we're getting close to group0 deployment and this is still an open blocker.

It was reverted, then reapplied and that has been merged. It shouldn’t be a blocker anymore…

dduvall lowered the priority of this task from Unbreak Now! to Medium.Tue, Jun 22, 7:01 PM

It was reverted, then reapplied and that has been merged. It shouldn’t be a blocker anymore…

Got it. Thank you!